Package Gnumed :: Package pycommon :: Module gmNetworkTools |
[frames] | no frames]

# Module gmNetworkTools

source code

GNUmed internetworking tools.

Version: $Revision: 1.98 $

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Functions
open_url_in_browser(url, new=2, autoraise=True, *args, **kwargs) | source code
download_file(url, filename=None, suffix=None) | source code
download_data_packs_list(url, filename=None) | source code
download_data_pack(pack_url, filename=None, md5_url=None) | source code
unzip_data_pack(filename=None) | source code
install_data_pack(data_pack=None, conn=None) | source code
download_data_pack_old(url, target_dir=None) | source code
compare_versions(left_version, right_version) 0: left == right... | source code
check_for_update(url=None, current_branch=None, current_version=None, consider_latest_branch=False) Check for new releases at <url>. | source code
send_mail(sender=None, receiver=None, message=None, server=None, auth=None, debug=False, subject=None, encoding=`'``quoted-printable``'`, attachments=None) | source code

Variables
| __doc__ = `"""GNUmed internetworking tools."""`
| default_mail_sender = ``u'``gnumed@gmx.net``'``
| default_mail_receiver = ``u'``gnumed-devel@gnu.org``'``
| default_mail_server = ``u'``mail.gmx.net``'``
| __package__ = ``'``Gnumed.pycommon``'``
| __warningregistry__ = ``{``(``'``the MimeWriter module is deprecated;` `...``

Imports: sys, os, logging, wget, urllib, MimeWriter, mimetypes, mimetools, StringIO, zipfile, webbrowser, gmLog2, gmTools, gmShellAPI, gmCfg2

Function Details

### compare_versions(left_version, right_version) | source code
     0: left == right
    -1: left < right
     1: left > right

### check_for_update(url=None, current_branch=None, current_version=None, consider_latest_branch=False) | source code
Check for new releases at <url>. Returns (bool, text). True: new release available False: up to date None: don't know

Variables Details

  ### __warningregistry__ Value:
      {('the MimeWriter module is deprecated; use the email package instead'
      ,
        <type 'exceptions.DeprecationWarning'>,
        15): True}